Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/corpus/Metadata2TeiHeaderMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/corpus/Metadata2TeiHeaderMacro.groovy	(revision 2022)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/corpus/Metadata2TeiHeaderMacro.groovy	(revision 2023)
@@ -15,8 +15,8 @@
 import org.txm.scripts.importer.XPathResult
 import javax.xml.xpath.XPathConstants
 
-@Field @Option(name="defaultTeiHeaderFile", usage="the default teiHeader of texts", widget="FileOpen", required=true, def="defaultTeiHeaderFile.xml")
-def defaultTeiHeaderFile
+@Field @Option(name="teiHeaderTemplateFile", usage="the default teiHeader of texts", widget="FileOpen", required=true, def="teiHeaderTemplateFile.xml")
+def teiHeaderTemplateFile
 
 @Field @Option(name="xpathFile", usage="properties file to redirect metadata column to the teiHeader locations", widget="FileOpen", required=true, def="xpathFile.properties")
 def xpathFile
@@ -86,7 +86,7 @@
 		def data = [:]
 		for (def h : header) data[h] = csvReader.get(h)
 			
-		String xmlteiHeaderContent = getCustomizedTEiHeader(defaultTeiHeaderFile, data, xpathProperties);
+		String xmlteiHeaderContent = getCustomizedTEiHeader(teiHeaderTemplateFile, data, xpathProperties);
 		if (xmlteiHeaderContent != null && xmlteiHeaderContent.length() > 0) {
 			injecting(txmFile, xmlteiHeaderContent)
 		} else {
@@ -97,8 +97,8 @@
 	}
 }
 
-def getCustomizedTEiHeader(File defaultTeiHeaderFile, def data, Properties xpathProperties) {
-	XPathResult xpathProcessor = new XPathResult(defaultTeiHeaderFile);
+def getCustomizedTEiHeader(File teiHeaderTemplateFile, def data, Properties xpathProperties) {
+	XPathResult xpathProcessor = new XPathResult(teiHeaderTemplateFile);
 	for (String info : data.keySet()) {
 		String xpath = xpathProperties[info];
 		String value = data[info]
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/txt/MergeByNumberMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/txt/MergeByNumberMacro.groovy	(revision 2022)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/txt/MergeByNumberMacro.groovy	(revision 2023)
@@ -7,13 +7,13 @@
 
 // BEGINNING OF PARAMETERS
 
-@Field @Option(name="folder", usage="an example folder", widget="Folder", required=false, def="C:/Temp")
+@Field @Option(name="folder", usage="input directory", widget="Folder", required=false, def="C:/Temp")
 def folder
 
-@Field @Option(name="ext", usage="an example string", widget="String", required=false, def=".txt")
+@Field @Option(name="ext", usage="file extension", widget="String", required=false, def=".txt")
 def ext
 
-@Field @Option(name="encoding", usage="an example string", widget="String", required=false, def="UTF-8")
+@Field @Option(name="encoding", usage="files encoding", widget="String", required=false, def="UTF-8")
 def encoding
 
 
@@ -63,7 +63,6 @@
 		File mergedFile = new File(outdir, prefix+ext)
 		for (def f : toMerge) mergedFile << f.getText(encoding)
 		toMerge.clear()
-		
 	}
 	
 	toMerge << current
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/export/ExportTextContentMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/export/ExportTextContentMacro.groovy	(revision 2022)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/export/ExportTextContentMacro.groovy	(revision 2023)
@@ -20,8 +20,8 @@
 
 // PARAMETERS
 
-@Field @Option(name="exportDir", usage="Result directory ", widget="Folder", required=true, def="export")
-File exportDir
+@Field @Option(name="exportDirectory", usage="Result directory ", widget="Folder", required=true, def="export")
+File exportDirectory
 
 @Field @Option(name="lineSeparatorStructureName", usage="line separator structure", widget="String", required=false, def="p")
 def lineSeparatorStructureName
@@ -30,7 +30,7 @@
 
 // BEGINNING
 
-if (!exportDir.exists()) exportDir.mkdirs()
+if (!exportDirectory.exists()) exportDirectory.mkdirs()
 
 CQPCorpus corpus = corpusViewSelection
 CQI = CQPSearchEngine.getCqiClient();
@@ -45,7 +45,7 @@
 def breaks_pos = Arrays.asList(corpus.query(new CQLQuery("[]</"+lineSeparatorStructureName+">"),"test", false).getEnds())
 println breaks_pos
 
-println "Exporting $corpus text content to $exportDir"
+println "Exporting $corpus text content to $exportDirectory"
 
 def wordProperty = corpus.getWordProperty()
 def textidProperty = corpus.getStructuralUnit("text").getProperty("id")
@@ -59,7 +59,7 @@
 	int start = textStartBoundaries[i];
 	int end = textEndBoundaries[i]
 
-	File txtFile = new File(exportDir, textids[i]+".txt")
+	File txtFile = new File(exportDirectory, textids[i]+".txt")
 	print ".."
 	def writer = txtFile.newWriter("UTF-8")
 	int[] positions = new int[end - start + 1]
@@ -78,4 +78,4 @@
 	writer.close();
 }  
 
-println "\nDone, result saved in "+exportDir.getAbsolutePath()
\ No newline at end of file
+println "\nDone, result saved in "+exportDirectory.getAbsolutePath()
\ No newline at end of file
Index: tmp/org.txm.groovy.core/src/groovy/org/txm/macro/nlp/TT2XMLInDirectoryMacro.groovy
===================================================================
--- tmp/org.txm.groovy.core/src/groovy/org/txm/macro/nlp/TT2XMLInDirectoryMacro.groovy	(revision 2022)
+++ tmp/org.txm.groovy.core/src/groovy/org/txm/macro/nlp/TT2XMLInDirectoryMacro.groovy	(revision 2023)
@@ -101,7 +101,6 @@
 			writer.writeEndElement() // s
 			writer.writeEndElement() // p
 			writer.writeCharacters("\n")
-			
 		}
 		writer.writeEndElement()
 		writer.writeCharacters("\n")
